std::numeric_limits< long > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr long | denorm_min () noexcept
static constexpr long | epsilon () noexcept
static constexpr long | infinity () noexcept
static constexpr long | lowest () noexcept
static constexpr long | max () noexcept
static constexpr long | min () noexcept
static constexpr long | quiet_NaN () noexcept
static constexpr long | round_error () noexcept
static constexpr long | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<long> specialization.

Definition at line 1199 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr long std::numeric_limits< long >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1252 of file limits.

## epsilon()

static constexpr long std::numeric_limits< long >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 1225 of file limits.

## infinity()

static constexpr long std::numeric_limits< long >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 1243 of file limits.

## lowest()

static constexpr long std::numeric_limits< long >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 1211 of file limits.

## max()

static constexpr long std::numeric_limits< long >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 1207 of file limits.

## min()

static constexpr long std::numeric_limits< long >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1204 of file limits.

## quiet_NaN()

static constexpr long std::numeric_limits< long >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1246 of file limits.

## round_error()

static constexpr long std::numeric_limits< long >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 1228 of file limits.

## signaling_NaN()

static constexpr long std::numeric_limits< long >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1249 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< long >::digits

static constexpr

Definition at line 1214 of file limits.

## digits10

constexpr int std::numeric_limits< long >::digits10

static constexpr

Definition at line 1215 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< long >::has_denorm

static constexpr

Definition at line 1238 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< long >::has_denorm_loss

static constexpr

Definition at line 1240 of file limits.

## has_infinity

constexpr bool std::numeric_limits< long >::has_infinity

static constexpr

Definition at line 1235 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< long >::has_quiet_NaN

static constexpr

Definition at line 1236 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< long >::has_signaling_NaN

static constexpr

Definition at line 1237 of file limits.

## is_bounded

constexpr bool std::numeric_limits< long >::is_bounded

static constexpr

Definition at line 1255 of file limits.

## is_exact

constexpr bool std::numeric_limits< long >::is_exact

static constexpr

Definition at line 1221 of file limits.

## is_iec559

constexpr bool std::numeric_limits< long >::is_iec559

static constexpr

Definition at line 1254 of file limits.

## is_integer

constexpr bool std::numeric_limits< long >::is_integer

static constexpr

Definition at line 1220 of file limits.

## is_modulo

constexpr bool std::numeric_limits< long >::is_modulo

static constexpr

Definition at line 1256 of file limits.

## is_signed

constexpr bool std::numeric_limits< long >::is_signed

static constexpr

Definition at line 1219 of file limits.

## is_specialized

constexpr bool std::numeric_limits< long >::is_specialized

static constexpr

Definition at line 1201 of file limits.

## max_digits10

constexpr int std::numeric_limits< long >::max_digits10

static constexpr

Definition at line 1217 of file limits.

## max_exponent

constexpr int std::numeric_limits< long >::max_exponent

static constexpr

Definition at line 1232 of file limits.

## max_exponent10

constexpr int std::numeric_limits< long >::max_exponent10

static constexpr

Definition at line 1233 of file limits.

## min_exponent

constexpr int std::numeric_limits< long >::min_exponent

static constexpr

Definition at line 1230 of file limits.

## min_exponent10

constexpr int std::numeric_limits< long >::min_exponent10

static constexpr

Definition at line 1231 of file limits.

## radix

constexpr int std::numeric_limits< long >::radix

static constexpr

Definition at line 1222 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< long >::round_style

static constexpr

Definition at line 1260 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< long >::tinyness_before

static constexpr

Definition at line 1259 of file limits.

## traps

constexpr bool std::numeric_limits< long >::traps

static constexpr

Definition at line 1258 of file limits.

The documentation for this struct was generated from the following file:

- limits